Skip to content

List the replies on comment post

Request

List the replies on comment post. Upon enabling expanded reactions types, the response will include the additional reaction types.

When a comment with user mentions is returned, it will be returned with those mentions in the format of either {ref:user:<user_id>} or {ref:user::id:<user_id>}. You can parse out the user_id and then look up the user and transform the mention metadata to the display_name/name of the referenced user.

Security
oauth2_as_a_user(Required scopes: content.read) or oauth2_as_a_server(Required scopes: content.read)
Path
content_idintegerrequired

ID or UUID of the content post

comment_idinteger or stringrequired
One of:

ID or UUID of the comment thread

integer
curl -i -X GET \
  'https://partner.socialchorus.com/v2/content/{content_id}/comments/{comment_id}/replies' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataArray of objects(Content.Comment.Resource)required
Response
{ "data": [ {} ] }